%{!?dotests: %define dotests 1}
%define name python3-zipp
%define srcname zipp
%define version 0.6.0
%define release 1

%define is_python %(test -e /usr/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python3 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
%endif

Summary: Backport of pathlib-compatible object wrapper for zip files
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
Url:     https://pypi.org/project/zipp/
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch:      noarch

BuildRequires: python3 >= 3.7.3
BuildRequires: python3-devel >= 3.7.3

Requires: python3-more-itertools >= 7.2.0
Requires: python3 >= 3.7.3

%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.


%prep
%setup -q -n %{srcname}-%{version}


%build
export OBJECT_MODE=64
python3 setup.py build

if [ "%{dotests}" == 1 ]
then
( python3 setup.py test )
fi


%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc LICENSE README.rst PKG-INFO
%{python_sitelib}/*

%changelog
* Wed Nov 06 2019 Reshma V Kumar <reskumar@in.ibm.com> -7.2.0-1
- Initial port for AIX Toolbox
- Build with python3

